<template>
  <div class="informations-step">
    <img
      :src="require(`~/assets/images/favorites.png`)"
      alt="favorites"
      width="168"
      height="92"
    />
    <h2 class="text--md--home heading heading--lg text--primary text--bold">
      {{ $t('modal.preference.informationsStep.title') }}
    </h2>
    <h3 class="heading--md--home heading--primary heading--uppercase">
      {{ $t('modal.preference.informationsStep.subtitle') }}
    </h3>
    <br />
    <p class="text--md text--primary">
      {{ $t('modal.preference.informationsStep.description') }}
    </p>
    <br />
    <div class="step__actions step__actions--alt text--center">
      <AppButton @click="nextStep">{{
        $t('modal.preference.informationsStep.btn')
      }}</AppButton>
    </div>
  </div>
</template>
<script>
import AppButton from '@/components/ui/AppButton'
export default {
  name: 'InformationsStep',
  components: { AppButton },

  mounted() {
    this.$utils.gtmEvent({
      event: 'gtm.event',
      EventCategory: 'PopIn',
      EventAction: 'Bienvenue',
      EventLabel: 'Affichage_Bienvenue'
    })
  },

  methods: {
    nextStep() {
      this.$utils.gtmEvent({
        event: 'gtm.event',
        EventCategory: 'PopIn',
        EventAction: 'Bienvenue',
        EventLabel: 'Clic_Bienvenue'
      })

      this.$emit('get-step', 'shelves-step')
    }
  }
}
</script>

<style lang="scss">
.informations-step {
  .step_actions {
    margin: 20px 0;
    list-style-type: none;

    label {
      margin-left: 25px;
      @include screen-size(md) {
        margin-left: unset;
        margin-top: 10px !important;
      }
    }
  }
}
</style>
